Subject: Re: [msysGit] Re: [FYI][PATCH] Customizing the WinGit installer

From: Petr Baudis <[email-masked]>
Date: Tue, 7 Oct 2008 11:28:19 +0200

On Mon, Oct 06, 2008 at 07:10:37PM -0700, Linus Torvalds wrote:
> On Tue, 7 Oct 2008, Dmitry Potapov wrote:
> > 
> > It looks like you have changed your opinion since what you wrote half
> > a year ago.
> 
> Back then, nobody had really complained and sent in a patch to make it 
> optional.
> 
> That changes things. Once some user actually complains, and sends in a 
> fix to make the whole dialog optional, I don't see why anybody would ever 
> argue against such a patch being accepted.

Note that as mentioned in the original mail, my patch was not meant
for application upstream, just as an example for others who would like
to customize the Git installer for a particular environment. We wanted
to make Git installation/usage as simple as possible, reducing any
unnecessary steps we could - and this was an easy one.

I don't think the idea of showing GPL during installation makes
a lot of sense on its own, but I don't care much either and clicking
through licences and EULAs in wizards is a fact of life on Windows,
sadly. At least it doesn't require you to scroll down through the
licence as IIRC OpenOffice or GIMP or a similar beast did.

-- 
				Petr "Pasky" Baudis
People who take cold baths never have rheumatism, but they have
cold baths.